The Application Group IaC Scan Post API initiates a discovery operation for an Application Group.

Asynchronous Processing:
This endpoint accepts a scan request and returns immediately with a confirmation.
The actual discovery scan runs in the background and may take several minutes to complete.

Response Behavior:

  • HTTP 202: Request accepted and queued for background processing
  • HTTP 400/500: Request rejected due to validation or system errors

Next Steps:

  • After receiving confirmation, use the GET /ciras/appGroups/{appGroupId} endpoint to retrieve the discovery status.
  • Use the GET /ciras/appGroups/{appGroupId}/iacScans endpoint to retrieve the discovery results once processing is complete.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

The Application Group ID.

Query Params
string
enum
Defaults to active

Specifies the type of discovery operation to perform. If not specified, defaults to 'active'. Use 'active' for an active discovery and 'backup' for a backup discovery.

Allowed:
Body Params

Specifies the create IaC scan request payload with simplified structure.

iacScanInfo
object
required

Specifies the simplified Infrastructure as Code scan information.

Responses
202

IaC scan request accepted and processing asynchronously.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json